## org.omg.CORBA
Class CODESET_INCOMPATIBLE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.CODESET_INCOMPATIBLE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class CODESET_INCOMPATIBLE
extends SystemException

This exception is raised whenever meaningful communication is not possible between client and server native code sets.

Since:
  CORBA 2.3
See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`CODESET_INCOMPATIBLE()`
`CODESET_INCOMPATIBLE(int minor, CompletionStatus completed)`
`CODESET_INCOMPATIBLE(java.lang.String orb_reason)`
`CODESET_INCOMPATIBLE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CODESET_INCOMPATIBLE

    public CODESET_INCOMPATIBLE()

### CODESET_INCOMPATIBLE

    public CODESET_INCOMPATIBLE(java.lang.String orb_reason)

### CODESET_INCOMPATIBLE

    public CODESET_INCOMPATIBLE(int minor,
                                CompletionStatus completed)

### CODESET_INCOMPATIBLE

    public CODESET_INCOMPATIBLE(java.lang.String orb_reason,
                                int minor,
                                CompletionStatus completed)